QGIS Application - Bug report #946

New Project Should Get Projection of First Loaded Layer

2008-02-09 03:20 PM - David A- Riggs -

Status: Closed

Priority: Low

Assignee: nobody -
Category: Projection Support

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: wontfix

Copied to github as #: 11005

Description

In previous versions of QGIS, a new project would be assigned the same projection as the first loaded layer. With 0.9.2rc1, a new project
seems to always be assigned "WGS84" until the project Projection is manually changed, even after loading a vector or raster layer.
Checking the properties of the layer itself shows that it is assigned the correct projection.

History

#1 - 2008-02-09 04:17 PM - Magnus Homann

I think this changed in early 0.8 or perhaps even earlier. The change was because the logic behind finding the projection of the layer got really messy,

cinsdering that the later projection can get read from the project also.

I'm not really sure that the concept of changing projection depening on which layer is loaded is the best.

#2 - 2008-07-10 11:04 AM - Maciej Sieczka -

In a duplicate #933 there is some more info on the subject.

#3 - 2008-10-27 01:04 PM - Magnus Homann
- Resolution set to wontfix

- Status changed from Open to Closed

This is the intended behaviour.

Considering what happens if you first set the project CRS and then start adding layers. if the layer you add first is not teh same as you just set, you have to

reset it again. Minimizing side effects, we should stick with the current behaviour.

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
